package ru.yandex.autotests.directapi.model.api5.campaignsext;

import com.yandex.direct.api.v5.campaignsext.SmartCampaignSearchStrategy;
import com.yandex.direct.api.v5.campaignsext.SmartCampaignSearchStrategyAdd;
import com.yandex.direct.api.v5.campaignsext.SmartCampaignSearchStrategyTypeEnum;

public class SmartCampaignSearchStrategyAddMap extends SmartCampaignStrategyAddBaseMap<SmartCampaignSearchStrategyAddMap> {

    public static final String BIDDING_STRATEGY_TYPE = "biddingStrategyType";

    public SmartCampaignSearchStrategyAddMap() {
        super();
        setBean(new SmartCampaignSearchStrategyAdd());
    }

    public SmartCampaignSearchStrategyAddMap(SmartCampaignSearchStrategy smartCampaignSearchStrategyAdd) {
        super();
        setBean(smartCampaignSearchStrategyAdd);
    }

    public SmartCampaignSearchStrategyAddMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public SmartCampaignSearchStrategyAddMap withBiddingStrategyType(
            SmartCampaignSearchStrategyTypeEnum biddingStrategyType) {
        this.put(BIDDING_STRATEGY_TYPE, biddingStrategyType);
        return this;
    }
}
